OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PPoly

# PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle Class Reference

`#include <PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle ()
| PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle (const PPoly_Triangle &aValue)
void | SetValue (const PPoly_Triangle &aValue)
Standard_Address | Value () const
## Private Attributes
PPoly_Triangle | myValue

## Constructor & Destructor Documentation

PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle::PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle | ( |  | ) |

PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle::PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle | ( | const PPoly_Triangle & | aValue | ) |

## Member Function Documentation

void PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle::operator new | ( | size_t | size | ) | `[inline]`

void* PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle::SetValue | ( | const PPoly_Triangle & | aValue | ) |

Standard_Address PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle::Value | ( |  | ) | const

## Field Documentation

PPoly_Triangle PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle::myValue`[private]`

The documentation for this class was generated from the following file:

- PPoly_VArrayTNodeOfFieldOfHArray1OfTriangle.hxx